# wintel.tcl
#
# Defines the Oc_Config name 'wintel' to indicate the Windows 95/NT operating
# system running on an Intel architecture.

Oc_Config New _ [string tolower [file rootname [file tail [info script]]]] {
    global tcl_platform env
    if {![regexp -nocase -- windows $tcl_platform(platform)]} {
        return 0
    }
    if {[info exists env(OSTYPE)] && \
	    [string match cygwin* [string tolower $env(OSTYPE)]]} {
	return 0
    }
    if {[string match cyg* [file tail [info nameofexecutable]]]} {
	return 0
    }
    if {[info exists env(TERM)] && 
	([string match cygwin* [string tolower $env(TERM)]]
	 || [string match xterm [string tolower $env(TERM)]])} {
	return 0
    }
    return [string match intel $tcl_platform(machine)]
}

